summaryrefslogtreecommitdiffstats
path: root/source/n/elm
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/elm')
-rw-r--r--source/n/elm/config.sh285
-rwxr-xr-xsource/n/elm/elm.SlackBuild81
-rw-r--r--source/n/elm/slack-desc19
3 files changed, 385 insertions, 0 deletions
diff --git a/source/n/elm/config.sh b/source/n/elm/config.sh
new file mode 100644
index 000000000..52bca7a95
--- /dev/null
+++ b/source/n/elm/config.sh
@@ -0,0 +1,285 @@
+#!/bin/sh
+# config.sh
+# This file was produced by running the Configure script.
+
+Log='$Log'
+Header='$Header'
+contains='grep'
+cppstdin='/usr/bin/cpp'
+cppminus=''
+d_getopt='define'
+d_memcpy='define'
+d_mkdir='define'
+d_rename='define'
+d_symlink='define'
+d_whoami='undef'
+n='-n'
+c=''
+orderlib='false'
+ranlib=':'
+package='elm2.5'
+pager='builtin+'
+prefshell='/bin/bash'
+startsh='#!/bin/sh'
+d_eunice='undef'
+define='define'
+eunicefix=':'
+build_dir='/tmp/elm2.5.8'
+source_dir='/tmp/elm2.5.8'
+loclist='
+cat
+chgrp
+chmod
+cp
+echo
+expr
+grep
+ln
+ls
+mv
+rm
+sed
+sleep
+touch
+tr
+'
+expr='/usr/bin/expr'
+sed='/bin/sed'
+echo='/bin/echo'
+cat='/bin/cat'
+rm='/bin/rm'
+mv='/bin/mv'
+cp='/bin/cp'
+tail=''
+tr='/usr/bin/tr'
+mkdir=''
+sort=''
+uniq=''
+grep='/bin/grep'
+trylist='
+Mcc
+compress
+cpp
+date
+emacs
+execmail
+ispell
+line
+lint
+lp
+lpr
+mips
+more
+nroff
+pack
+pg
+pr
+rmail
+sendmail
+shar
+smail
+submit
+tar
+tbl
+test
+troff
+uname
+uuname
+vi
+'
+test='test'
+inews=''
+ispell='/usr/bin/ispell'
+egrep=''
+more='/bin/more'
+pg='pg'
+Mcc='Mcc'
+vi='/usr/bin/vi'
+mailx=''
+mail=''
+cpp='/usr/bin/cpp'
+perl=''
+emacs='/usr/bin/emacs'
+ls='/bin/ls'
+rmail='rmail'
+sendmail='/usr/sbin/sendmail'
+shar='/usr/bin/shar'
+smail='smail'
+submit=''
+tbl='/usr/bin/tbl'
+troff='/usr/bin/troff'
+nroff='/usr/bin/nroff'
+uname='/bin/uname'
+uuname='uuname'
+line='line'
+chgrp='/bin/chgrp'
+chmod='/bin/chmod'
+lint='lint'
+sleep='/bin/sleep'
+pr='/usr/bin/pr'
+tar='/bin/tar'
+ln='/bin/ln'
+lpr='/usr/bin/lpr'
+lp='/usr/bin/lp'
+touch='/bin/touch'
+make=''
+date='/bin/date'
+csh=''
+pmake=''
+mips='false'
+col=''
+pack='pack'
+bld=''
+compress='compress'
+execmail=''
+libswanted='intl nls'
+bin='/usr/bin'
+installbin='/tmp/package-elm/usr/bin'
+c_date='Thu Aug 18 09:29:11 EDT 2005'
+d_ascii='undef'
+d_broke_ctype='undef'
+d_broke_fflush='undef'
+d_calendar='define'
+calendar='calendar'
+d_chown_neg1='define'
+d_content='define'
+d_crypt='define'
+cryptlib='/usr/lib/libcrypt.a'
+d_cuserid='define'
+d_disphost='undef'
+d_domname='define'
+d_usegetdom='undef'
+d_errlst='undef'
+d_flock='undef'
+d_dotlock='define'
+d_fcntlock='define'
+lock_dir='/var/spool/uucp'
+has_flock='undef'
+has_fcntl='define'
+d_fsync='undef'
+d_ftruncate='define'
+d_gethname='define'
+d_douname='undef'
+d_host_comp='undef'
+ign_hname='n'
+d_index='define'
+d_internet='define'
+d_ispell='define'
+ispell_path='/usr/bin/ispell'
+ispell_options='-x'
+d_locale='define'
+d_nl_types='define'
+d_msgcat='define'
+d_usenls='undef'
+d_mboxedit='undef'
+d_mime='define'
+defcharset='iso-8859-1'
+defdispcharset='iso-8859-1'
+d_mmdf='undef'
+d_newauto='define'
+d_noaddfrom='define'
+d_usedomain='undef'
+d_noxheader='undef'
+d_pidcheck='define'
+d_ptem='undef'
+d_putenv='define'
+d_remlock='undef'
+maxattempts='6'
+d_setegid='define'
+d_setgid='define'
+d_savegrpmboxid='define'
+mailermode='755'
+d_sigvec='undef'
+d_sigvectr='undef'
+d_sigset='undef'
+d_sighold='undef'
+d_sigprocmask='define'
+d_sigblock='undef'
+d_sigaction='define'
+d_statuschg='define'
+d_strcspn='define'
+d_strspn='define'
+d_strpbrk='define'
+d_strerror='define'
+d_strftime='define'
+d_strings='undef'
+d_pwdinsys='undef'
+strings='/usr/include/string.h'
+includepath=''
+d_strstr='define'
+d_strtok='define'
+d_subshell='define'
+d_tempnam='define'
+tempnamo=''
+tempnamc=''
+d_termio='undef'
+d_termios='define'
+d_useembed='define'
+d_utimbuf='define'
+d_vfork='define'
+defbatsub='no subject (file transmission)'
+defeditor='/usr/bin/vi'
+editoropts=''
+hostname='greasy'
+phostname=''
+mydomain='.example.net'
+autohostname='define'
+i_memory='define'
+i_stdarg='define'
+i_stdlib='define'
+i_time='define'
+i_systime='define'
+d_systimekernel='undef'
+i_unistd='define'
+i_utime='define'
+i_sysutime='undef'
+lib='/var/lib/elm'
+installlib='/tmp/package-elm/var/lib/elm'
+libc='/usr/lib/libc.a'
+linepr='/usr/bin/lpr'
+maildir='/var/spool/mail'
+mailer='/usr/sbin/sendmail'
+mailgrp='mail'
+mansrc='/tmp/package-elm/usr/man/man1'
+catmansrc='none'
+manext='.1'
+manext_choice='.1'
+catmanext=''
+catmanext_choice=''
+packed=''
+manroff=''
+manroffopts=''
+suffix=''
+packer=''
+models='none'
+split=''
+small=''
+medium=''
+large=''
+huge=''
+optimize='-O'
+ccflags=''
+cppflags=''
+ldflags=''
+cc='cc'
+libs=''
+nametype='bsd'
+d_passnames='define'
+d_berknames='define'
+d_usgnames='undef'
+passcat='cat /etc/passwd'
+rmttape='unknown-remote-tape-unit'
+roff='/usr/bin/troff'
+roffopts=''
+sigtype='void'
+spitshell='cat'
+shsharp='true'
+sharpbang='#!'
+termlib='-lncurses'
+tmpdir='/tmp'
+tzname_handling='TM_ZONE'
+xencf=''
+xenlf=''
+d_xenix='undef'
+d_bsd='undef'
+CONFIG=true
diff --git a/source/n/elm/elm.SlackBuild b/source/n/elm/elm.SlackBuild
new file mode 100755
index 000000000..8aabca000
--- /dev/null
+++ b/source/n/elm/elm.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=2.5.8
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-3}
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-elm
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf elm$VERSION
+tar xvf $CWD/elm$VERSION.tar.bz2 || exit 1
+cd elm$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cat $CWD/config.sh | sed -e "s#usr/lib#usr/lib${LIBDIRSUFFIX}#" > config.sh
+mkdir -p $PKG/var/lib/elm \
+ $PKG/usr/bin \
+ $PKG/usr/man/man1 \
+ $PKG/usr/doc/elm-$VERSION
+sh ./Make.defs.SH
+find . -depth -name 'Makefile.SH' -exec sh ./{} \;
+
+make || exit 1
+make install || exit 1
+
+( cd $PKG/usr/bin ; rm -rf frm )
+( cd $PKG/usr/bin ; ln -sf nfrm frm )
+( cd $PKG/usr/bin ; rm -rf newmail )
+( cd $PKG/usr/bin ; ln -sf wnewmail newmail )
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+( cd $PKG/usr/man/man1 ; mkdir tmp ; cp *.? tmp ; rm *.? ; mv tmp/* . ; rmdir tmp )
+gzip -9 $PKG/usr/man/man?/*.?
+
+cp -a \
+ NOTICE Overview README doc/*.guid* doc/Elm.cover \
+ $PKG/usr/doc/elm-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/elm-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/n/elm/slack-desc b/source/n/elm/slack-desc
new file mode 100644
index 000000000..042e7bd67
--- /dev/null
+++ b/source/n/elm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+elm: elm (Menu-driven user mail program)
+elm:
+elm: Elm is an interactive screen-oriented mailer program originally
+elm: written by Dave Taylor, and continued by the Elm Development Group.
+elm:
+elm:
+elm:
+elm:
+elm:
+elm:
+elm: